﻿/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#ifndef _GCTL_POTENTIAL_H
#define _GCTL_POTENTIAL_H

#include "potential/gctl_potential_config.h"
#include "potential/gm_data.h"

#include "potential/gkernel_triangle2d.h"
#include "potential/gkernel_rectangle2d.h"
#include "potential/gkernel_polygon.h"
#include "potential/gkernel_triangle.h"
#include "potential/gkernel_sphere.h"
#include "potential/gkernel_block.h"
#include "potential/gkernel_tetrahedron.h"
#include "potential/gkernel_tricone.h"

#ifdef GCTL_POTENTIAL_TESS
#include "potential/gkernel_tesseroid.h"
#endif // GCTL_POTENTIAL_TESS

#include "potential/mkernel_dipole.h"
#include "potential/mkernel_block.h"
#include "potential/mkernel_triangle.h"
#include "potential/mkernel_tricone.h"
#include "potential/mkernel_tricone_Ren2017.h"
#include "potential/mkernel_tetrahedron.h"
#include "potential/mkernel_tetrahedron_Ren2017.h"

#ifdef GCTL_POTENTIAL_MAGTESS
#include "potential/mkernel_tesseroid.h"
#endif // GCTL_POTENTIAL_MAGTESS

#include "potential/gm_regular_grid.h"
#include "potential/gm_regular_mesh_2d.h"
#include "potential/gm_regular_mesh_3d.h"
#include "potential/gm_regular_mesh_sph_3d.h"
#include "potential/gm_tet_mesh.h"

#endif // _GCTL_POTENTIAL_H